<?php

include('database_connect.php');


$search_username = $search_email = $search_first_name = $search_last_name = $search_is_active = '';


if ($_SERVER["REQUEST_METHOD"] == "POST") {
 
    $search_username = mysqli_real_escape_string($conn, $_POST['username']);
    $search_email = mysqli_real_escape_string($conn, $_POST['email']);
    $search_first_name = mysqli_real_escape_string($conn, $_POST['first_name']);
    $search_last_name = mysqli_real_escape_string($conn, $_POST['last_name']);
    $search_is_active = mysqli_real_escape_string($conn, $_POST['is_active']);
    

    $sql = "SELECT * FROM Users WHERE 1=1";  
    if ($search_username != '') {
        $sql .= " AND username LIKE '%$search_username%'";
    }
    if ($search_email != '') {
        $sql .= " AND email LIKE '%$search_email%'";
    }
    if ($search_first_name != '') {
        $sql .= " AND first_name LIKE '%$search_first_name%'";
    }
    if ($search_last_name != '') {
        $sql .= " AND last_name LIKE '%$search_last_name%'";
    }
    if ($search_is_active != '') {
        $sql .= " AND is_active = '$search_is_active'";
    }

    // Executing query
    $result = mysqli_query($conn, $sql);

    
    if (!$result) {
        die("Error executing query: " . mysqli_error($conn));
    }
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>User Search</title>
</head>
<body>
    <h1>Search Users</h1>
    
    <!-- Search Form -->
    <form action="search.php" method="post">
        <label for="username">Username:</label>
        <input type="text" name="username" value="<?php echo $search_username; ?>"><br><br>
        
        <label for="email">Email:</label>
        <input type="text" name="email" value="<?php echo $search_email; ?>"><br><br>
        
        <label for="first_name">First Name:</label>
        <input type="text" name="first_name" value="<?php echo $search_first_name; ?>"><br><br>
        
        <label for="last_name">Last Name:</label>
        <input type="text" name="last_name" value="<?php echo $search_last_name; ?>"><br><br>
        
        <label for="is_active">Is Active:</label>
        <select name="is_active">
            <option value="">--Select--</option>
            <option value="1" <?php echo ($search_is_active == '1') ? 'selected' : ''; ?>>Active</option>
            <option value="0" <?php echo ($search_is_active == '0') ? 'selected' : ''; ?>>Inactive</option>
        </select><br><br>

        <input type="submit" value="Search">
    </form>

    <hr>

    <?php
    
    if ($_SERVER["REQUEST_METHOD"] == "POST" && mysqli_num_rows($result) > 0) {
       
        echo "<h2>Search Conditions:</h2>";
        echo "<p>Username: " . ($search_username ? $search_username : 'Any') . "</p>";
        echo "<p>Email: " . ($search_email ? $search_email : 'Any') . "</p>";
        echo "<p>First Name: " . ($search_first_name ? $search_first_name : 'Any') . "</p>";
        echo "<p>Last Name: " . ($search_last_name ? $search_last_name : 'Any') . "</p>";
        echo "<p>Is Active: " . ($search_is_active !== '' ? ($search_is_active == '1' ? 'Active' : 'Inactive') : 'Any') . "</p>";

        
        echo "<table border='1'>
                <tr>
                    <th>ID</th>
                    <th>Username</th>
                    <th>Email</th>
                    <th>Password</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Created At</th>
                    <th>Is Active</th>
                </tr>";

        // Output for each row of data
        while ($row = mysqli_fetch_assoc($result)) {
            echo "<tr>
                    <td>" . $row['id'] . "</td>
                    <td>" . $row['username'] . "</td>
                    <td>" . $row['email'] . "</td>
                    <td>********</td> <!-- Displaying a placeholder for password -->
                    <td>" . $row['first_name'] . "</td>
                    <td>" . $row['last_name'] . "</td>
                    <td>" . $row['created_at'] . "</td>
                    <td>" . ($row['is_active'] ? 'Active' : 'Inactive') . "</td>
                  </tr>";
        }

        
        echo "</table>";
    } elseif ($_SERVER["REQUEST_METHOD"] == "POST") {
        echo "<p>No users found matching your criteria.</p>";
    }
    ?>

</body>
</html>

<?php
// Closing database connection
mysqli_close($conn);
?>
